Package org.apache.sling.event.impl.jobs.tasks

# Class FindUnfinishedJobsTask

java.lang.Object
org.apache.sling.event.impl.jobs.tasks.FindUnfinishedJobsTask

public class FindUnfinishedJobsTask extends Object
This task is executed when the job handling starts. It checks for unfinished jobs from a previous start and corrects their state.

## Constructor Summary

Constructors
Constructor
Description
`FindUnfinishedJobsTask(JobManagerConfiguration config)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FindUnfinishedJobsTask

public FindUnfinishedJobsTask(JobManagerConfiguration config)
Constructor

Parameters:
  `config` - the configuration

## Method Details

### run

public void run()